org.apache.commons.math.ode.jacobians

## Class FirstOrderIntegratorWithJacobians.StepHandlerWrapper

- java.lang.Object
- - org.apache.commons.math.ode.jacobians.FirstOrderIntegratorWithJacobians.StepHandlerWrapper

All Implemented Interfaces:
  StepHandler

Enclosing class:
  FirstOrderIntegratorWithJacobians

    private static class FirstOrderIntegratorWithJacobians.StepHandlerWrapper
    extends Object
    implements StepHandler

Wrapper for step handlers.

### Field Summary

Fields
`private StepHandlerWithJacobians` `handler` Underlying step handler with jacobians.
`private int` `k` Number of parameters.
`private int` `n` Dimension of the original ODE.

### Constructor Summary

Constructors
Constructor and Description
`FirstOrderIntegratorWithJacobians.StepHandlerWrapper(StepHandlerWithJacobians handler, int n, int k)` Simple constructor.

### Method Summary

Methods
`StepHandlerWithJacobians` `getHandler()` Get the underlying step handler with jacobians.
`void` `handleStep(StepInterpolator interpolator, boolean isLast)` Handle the last accepted step
`boolean` `requiresDenseOutput()` Determines whether this handler needs dense output.
`void` `reset()` Reset the step handler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### handler

    private final StepHandlerWithJacobians handler

Underlying step handler with jacobians.

#### n

    private final int n

Dimension of the original ODE.

#### k

    private final int k

Number of parameters.

### Constructor Detail

#### FirstOrderIntegratorWithJacobians.StepHandlerWrapper

    public FirstOrderIntegratorWithJacobians.StepHandlerWrapper(StepHandlerWithJacobians handler,
                                                        int n,
                                                        int k)

Simple constructor.

Parameters:
  `handler` - underlying step handler with jacobians
  `n` - dimension of the original ODE
  `k` - number of parameters

### Method Detail

#### getHandler

    public StepHandlerWithJacobians getHandler()

Get the underlying step handler with jacobians.

Returns:
  underlying step handler with jacobians

#### handleStep

    public void handleStep(StepInterpolator interpolator,
                  boolean isLast)
                    throws DerivativeException

Handle the last accepted step

Specified by:
  `handleStep` in interface `StepHandler`
Parameters:
  `interpolator` - interpolator for the last accepted step. For efficiency purposes, the various integrators reuse the same object on each call, so if the instance wants to keep it across all calls (for example to provide at the end of the integration a continuous model valid throughout the integration range, as the `ContinuousOutputModel` class does), it should build a local copy using the clone method of the interpolator and store this copy. Keeping only a reference to the interpolator and reusing it will result in unpredictable behavior (potentially crashing the application).
  `isLast` - true if the step is the last one
Throws:
  `DerivativeException` - if user code called from step interpolator finalization triggers one

#### requiresDenseOutput

    public boolean requiresDenseOutput()

Determines whether this handler needs dense output.

This method allows the integrator to avoid performing extra computation if the handler does not need dense output. If this method returns false, the integrator will call the `StepHandler.handleStep(org.apache.commons.math.ode.sampling.StepInterpolator, boolean)` method with a `DummyStepInterpolator` rather than a custom interpolator.

Specified by:
  `requiresDenseOutput` in interface `StepHandler`
Returns:
  true if the handler needs dense output

#### reset

    public void reset()

Reset the step handler. Initialize the internal data as required before the first step is handled.

Specified by:
  `reset` in interface `StepHandler`